## trinityrnaseq 2.5.1+dfsg

=== Makefile ===
###################################################################
#
# The default compiler is GNU gcc/g++.
# Run
#  make TRINITY_COMPILER=intel
# to build Inchworm and Chrysalis with the Intel compiler.
#

ifeq ($(TRINITY_COMPILER),intel)
 INCHWORM_CONFIGURE_FLAGS = CXX=icpc CXXFLAGS="-fast"
 CHRYSALIS_MAKE_FLAGS = COMPILER=icpc
else
 override TRINITY_COMPILER=gnu
endif


all: inchworm_target chrysalis_target trinity_essentials
	sh ./util/support_scripts/trinity_install_tests.sh


install:
	util/support_scripts/trinity_installer.py

inchworm_target:
	@echo Using $(TRINITY_COMPILER) compiler for Inchworm and Chrysalis
	cd Inchworm && (test -e configure || autoreconf) \
                && sh ./configure --prefix=`pwd` $(INCHWORM_CONFIGURE_FLAGS) && $(MAKE) install

chrysalis_target:
	cd Chrysalis && $(MAKE) UNSUPPORTED=yes $(CHRYSALIS_MAKE_FLAGS)


trinity_essentials:
	cd trinity-plugins && $(MAKE) trinity_essentials


plugins:
	cd trinity-plugins && $(MAKE) plugins
	sh ./util/support_scripts/plugin_install_tests.sh

test:
	@echo
	@echo "Checking for Trinity essentials (built from 'make all'):"
	sh ./util/support_scripts/trinity_install_tests.sh
	@echo
	@echo "Checking for plugins (built from 'make plugins'):"
	sh ./util/support_scripts/plugin_install_tests.sh
	@echo "Run 'make test_trinity' if you want to test Trinity execution on a small data set"

clean:
	cd Inchworm && make clean
	cd Chrysalis && $(MAKE) clean UNSUPPORTED=yes
	cd trinity-plugins && $(MAKE) clean 
	cd sample_data/ && make clean


test_trinity:
	cd sample_data/test_Trinity_Assembly && make test

test_gg_trinity:
	cd sample_data/test_GenomeGuidedTrinity && make test



# note 'test_all': ** this is for a more advanced installation including devel features **

test_all:
	cd sample_data/ && make test_all
	cd trinity_ext_sample_data/ && make test_all

test_clean:
	cd sample_data/ && make clean
	cd trinity_ext_sample_data/ && make clean

###################################################################

=== Chrysalis/Makefile ===
###################################################################################
#
# OVERVIEW OF THE SPINES MAKEFILE
#
# I. General comments
#
# This Makefile works by running the Spines program MakeDepend to determine
# dependencies, which are placed in a file Makefile_auto, every time you do a 
# make.	 Consequently, the first time you run this Makefile, it will appear to be 
# slow, because it compiles MakeDepend and its prerequisites, silently.
# 
# To utilize MakeDepend fully, you should adhere to the convention that for every
# .cc file which is not a main program, there is a corresponding .h file, which
# is included by any .cc file which accesses the corresponding routines.
#
# II. Major targets
# 
# make: makes all executables
# make d (where d is a subdirectory of Spines): make all executables in d
# make assembler: make all executables needed to run Spines
#
# III. Supported platforms
#
# compiler: gcc 4.1.1
#
# hardware: ia64 (Itanium)   - we use it all the time
#           i686 (Pentium)   - we use it a lot of the time
#           x86_64 (Opteron) - other people tell us that it works
#           alpha            - we used to use it, probably unusable now
#           macosx           - not fully functional
#
# Note. These are all compiled with -O3, but with for ia64, we also use
# -fno-rename-registers, to compensate for a gcc bug 
# (see testing/IsWeirdness.cc, testing/IsWeirdness.run, gcc bug report #14815).
# We also compile with -fno-strict-aliasing, without which errors can result,
# and these errors are extremely difficult to trace.
#
# IV. Common options
#
# FORCE_DEBUG=yes: compile in debugging mode
# OPTIM=none: compile without optimization
# UNSUPPORTED=yes: override check for supported platform
# ALL=yes: compile files, even if they have the line // MakeDepend: archived
# -k: keep going in the event of error (a make option)
# -jn: use up to n parallel processors to do the make (a make option)
#
###################################################################################


##############################################################################
# DEFINE GENERAL VARIABLES
##############################################################################

DATE = $(shell date)
BUILD_DATETIME ?= $(DATE)  # allow for overrides to enable reproducible builds
OS_NAME = $(shell uname -s)
NODE_NAME = $(shell uname -n)
OS_RELEASE = $(shell uname -r)
OS_MACHINE = $(shell uname -m)
OS_VENDOR = $(VENDOR)
USER = $(shell whoami)
RELEASE = 3.0

ifeq ($(OS_MACHINE),Power Macintosh)
  OS_MACHINE = macosx
endif

# this ought to be done more elegantly, but this ugly hack suffices for now
GPP_VERSION := $(shell g++ -dumpversion)
GPP_MAJOR_VERSION := $(shell g++ -dumpversion | tr '.' '\n' | head -1)

##############################################################################
# CHECK FOR SUPPORTED PLATFORM
##############################################################################

ifneq ($(UNSUPPORTED),yes)
     ifneq ($(SUBRUN),1)

	  ifneq ($(GPP_VERSION),4.1.1)
               $(warning ----------------------------------------------------------)
               $(warning using g++ version $(GPP_VERSION) )
               $(warning --------------------------------------------------------)
	  endif

          ACCEPT_HARDWARE := no
	  ifeq ($(OS_MACHINE),x86_64)
	       ACCEPT_HARDWARE := yes
          endif
	  ifeq ($(OS_MACHINE),ia64)
	       ACCEPT_HARDWARE := yes
          endif
	  ifeq ($(OS_MACHINE),i686)
	       ACCEPT_HARDWARE := yes
          endif
	  ifeq ($(OS_MACHINE),macosx)
	       ACCEPT_HARDWARE := yes
          endif
	  ifeq ($(OS_MACHINE),alpha)
	       ACCEPT_HARDWARE := yes
          endif
	  ifeq ($(OS_MACHINE),i86pc)
	       ACCEPT_HARDWARE := yes
          endif
	  ifeq ($(ACCEPT_HARDWARE),no)
               $(warning ----------------------------------------------------------)
               $(warning Platform $(OS_MACHINE) is UNSUPPORTED)
               $(error --------------------------------------------------------)
	  endif

     endif
else
#     $(warning ------------------------------------------------------------)
#     $(warning WARNING --- Unsupported platform --- proceed with caution)
#     $(warning ------------------------------------------------------------)
endif


##############################################################################
## DIRECTORY SETUP:
##############################################################################

SRC = .
OBJ = obj

ifdef SPINES_BIN_DIR
     BIN = $(SPINES_BIN_DIR)
else
     BIN = .
endif

LIB = .

# Make cross-compiling in one directory easier.
ifdef CROSS
  CROSS_SUFFIX = $(OS_MACHINE)_$(OS_VENDOR)
  OBJ = obj_$(CROSS_SUFFIX)
  BIN = bin_$(CROSS_SUFFIX)
  # If DEBUGGING==yes, put the object and binary files in a separate dir.
  # The DEBUGGING option also has other effects later in the Makefile.
  ifeq ($(DEBUGGING),yes)
    OBJ = obj_$(CROSS_SUFFIX)_debug
    BIN = bin_$(CROSS_SUFFIX)_debug
  else
    # If PROFILE==yes, put the object and binary files in a separate dir.
    # The PROFILE option also has other effects later in the Makefile.
    ifeq ($(PROFILE),yes)
      OBJ = obj_$(CROSS_SUFFIX)_prof
      BIN = bin_$(CROSS_SUFFIX)_prof
    endif
  endif
endif

vpath %.cc $(SRC)
vpath %.c $(SRC)
vpath %.h $(SRC)
vpath %.hh $(SRC)
vpath %.o $(OBJ) .
vpath % $(BIN)

## This part should be removed before distribution vvv ##

##############################################################################
## RECURSIVE MAKE DEPEND
##############################################################################

ifndef SUBRUN
  ifdef MAKEDEPEND_STATUS
    $(warning Finding dependencies...)
  endif
  # result := $(shell bash -c "if [ ! { $(MAKE) CXX=$(CXX) CROSS=$(CROSS) BIN=$(BIN) OBJ=$(OBJ) ALL=$(ALL) FULL=$(FULL) OPTIM=$(OPTIM) SUBRUN=1 depend } ]; then echo MakeDepend FAILED fi")
  result := $(shell bash -c " $(MAKE) CXX=$(CXX) CROSS=$(CROSS) BIN=$(BIN) OBJ=$(OBJ) ALL=$(ALL) FULL=$(FULL) OPTIM=$(OPTIM) SUBRUN=1 depend ")
  ifneq ($(findstring FAILED,$(result)),)
    $(error MakeDepend failed)
  endif
  # Note this really checks for any WARNING output, but currently 
  # the only way that text can be output is by checkLock --checkSetLock.
  ifneq ($(findstring WARNING,$(result)),)
    $(warning checkSetLock failed. Running processes are not protected against overwrite from other computers.)
  endif
  ifdef MAKEDEPEND_STATUS
    $(warning Done.)
  endif
endif

## This part should be removed before distribution ^^^ ##

##############################################################################
## COMPILE-TIME CONFIGURATION:
##############################################################################

## These can be overridden from the `make' command line.  For example,
##
##   % make FORCE_DEBUG=yes
##
## builds debugging executables.
##
##  In most cases, one must run `make clean' before changing the defaults
## below to ensure that executables are rebuilt correctly.  Generally, the
## compiler-specific makefiles sort out these options and turn on the right
## compiler flags to get the desired behavior.

# Which compiler to use; can be `g++', `cxx', `icpc', or `sunCC'.
COMPILER	= g++
#COMPILER	= cxx
#COMPILER	= sunCC
#COMPILER	= icpc

# QUIET=yes causes the compiler to be less verbose about warnings.
QUIET		= no

# DEBUG=yes forces out-of-date executables to be built with symbolic
# debugging information.  Any other value is ignored.
DEBUG		= yes

# OPTIM=<compiler optimization> forces user-defined optimizations to be used,
# rather than the compiler-specific default.  
# If OPTIM=fast, then less optimization is done to speed compilation. 
# If OPTIM=none, then no optimization is used.	
# If unset, defaults are used.
OPTIM		=

# PROFILE=yes builds sampled-profiling (i.e. gprof) executables. Any other
# value is ignored.
PROFILE		= no

# FORCE_DEBUG=yes clears NDEBUG (i.e. turns on macros from <assert.h>).	 Any
# other value is ignored.
FORCE_DEBUG	= no

# ASSERT=FAST turns on fast(er) assertion checking.  Any other value is
# ignored.
ASSERT		= SLOW

# OPEN_MP=yes enables OpenMP directives.  Any other value is ignored.
OPEN_MP		= yes

# Enables Posix multithreading.	 This is currently only supported for CXX
# compilations, and partially for GCC v3.  This is enabled by default, since
# it has no effect in Gcc compilations.	 Any other value is ignored.
PTHREADS	= yes

# GCOV=yes builds test-coverage analyzing (gcov) executables. Suggested use
# is with OPTIM=none
GCOV		= no

# TRACK_MEMORY=yes turns on memory tracking (see MemTracker.h) in all modules
# which include that header.
TRACK_MEMORY    = no

# DEBUGGING=yes turns off optimization and turns on FORCE_DEBUG.
# DEBUGGING also has an effect earlier in the Makefile.
ifeq ($(DEBUGGING),yes)
  OPTIM = none
  FORCE_DEBUG = yes
endif

# flags to pass to $(AR). POSIX default is "-rv".
ARFLAGS = -qc 

#Add here additional options to be turned on by MakeDepend's
#directive mechanism. For example:
TEST_DIRECTIVE 	   =  -O0 -ffast-math -funroll-loops
OPT1               =  -O1


##############################################################################
## BASE SYSTEM SETUP:
##############################################################################

## These macros are used in Makefile and Makefile_auto to compile SPINES.
## The compiler-specific makefile augments these macros before they are used
## used to build the system.  These are here to ensure that the macros are
## instantiated, and as a reminder that the macros exist.

# Location of Xerces XML parser library:
XERCES_INC	=
XERCES_LIB	=

# Base definitions:
SYS_DEFS	= \
		  -DMAKE_DATE='"$(BUILD_DATETIME)"' \
		  -DMAKE_OS_RELEASE='"$(OS_RELEASE)"' \
		  -DMAKE_RELEASE='"$(RELEASE)"' \
		  -DNEW_MAKEFILE

# Warning control:
SYS_WARN	=

# Optimization control:
SYS_OPT		=

# Language control (e.g. template instantiations):
SYS_LANG	=

# Where to find system-specific includes:
ifeq ($(COMPILER),g++)
  ifeq ($(GPP_MAJOR_VERSION),2)
       SYS_INCS	= -I. -I- $(XERCES_INC)
  endif
  ifeq ($(GPP_MAJOR_VERSION),3)
       SYS_INCS	= -I. -I- $(XERCES_INC)
  endif
  ifeq ($(GPP_MAJOR_VERSION),4)
       SYS_INCS	= -iquote . $(XERCES_INC)
  endif
  ifeq ($(GPP_MAJOR_VERSION),5)
       SYS_INCS        = -iquote . $(XERCES_INC)
  endif
  ifeq ($(GPP_MAJOR_VERSION),6)
       SYS_INCS        = -iquote . $(XERCES_INC)
  endif
endif

# Linking control (e.g. to link templates):
SYS_LINK	=  $(LDFLAGS)

# Required libraries:
SYS_LIBS	= -lm -pthread

# OpenMP macros:
ifeq ($(OPEN_MP),yes)
  OMP_FLAGS		=
  OMP_INCS		=
  OMP_DEFS		=

  OMP_OPTIONS		= \
			$(OMP_FLAGS) \
			$(OMP_INCS) \
			$(OMP_DEFS)

  OMP_LINK		=
  OMP_LIBS		=
endif

# Posix threads macros:
ifeq ($(PTHREADS),yes)
  PTHREAD_FLAGS		=
  PTHREAD_INCS		=
  PTHREAD_DEFS		= -DHAVE_PTHREADS

  PTHREAD_OPTIONS	= \
			$(PTHREAD_FLAGS) \
			$(PTHREAD_INCS) \
			$(PTHREAD_DEFS)

  PTHREAD_LINK	=
  PTHREAD_LIBS	=
endif

ifeq ($(OPTIM),fast)
  FAST		= yes
endif


##############################################################################
## COMPILATION:
##############################################################################

# Bring in the compiler-specific makefile:

ifeq ($(COMPILER),g++)
include Makefile_g++
endif

ifeq ($(COMPILER),cxx)
include Makefile_cxx
endif

ifeq ($(COMPILER),sunCC)
include Makefile_sunCC
endif

ifeq ($(COMPILER),icpc)
include Makefile_icpc
endif

# Setup final compilation options:

CPP_OPTIONS	= \
		$(SYS_WARN) \
		$(SYS_OPT) \
		$(SYS_DEBUG) \
		$(SYS_DEFS) \
		$(SYS_LANG) \
		$(SYS_INCS) \
		$(OMP_OPTIONS) \
		$(PTHREAD_OPTIONS) \
		$(CPPFLAGS)

LINK_OPTIONS	= \
		$(SYS_DEBUG) \
		$(SYS_LINK) \
		$(OMP_LINK) \
		$(PTHREAD_LINK)

LINK_LIBS	= \
		$(SYS_LIBS) \
		$(OMP_LIBS) \
		$(PTHREAD_LIBS) \

CPPO		= $(LINK_OPTIONS)
CPPC		= $(CPP_OPTIONS) $(SYS_MEMTRACK)

##############################################################################
## COMPILATION TARGET SETUP:

=== src/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/parafly
pkgincludedir = $(includedir)/parafly
pkglibdir = $(libdir)/parafly
pkglibexecdir = $(libexecdir)/parafly
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
bin_PROGRAMS = ParaFly$(EXEEXT)
subdir = src
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
PROGRAMS = $(bin_PROGRAMS)
am_ParaFly_OBJECTS = ParaFly.$(OBJEXT) argProcessor.$(OBJEXT)
ParaFly_OBJECTS = $(am_ParaFly_OBJECTS)
ParaFly_LDADD = $(LDADD)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
SOURCES = $(ParaFly_SOURCES)
DIST_SOURCES = $(ParaFly_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/unix/bhaas/GITHUB/ParaFly/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/unix/bhaas/GITHUB/ParaFly/missing --run tar
AM_CXXFLAGS = -pedantic -fopenmp -Wall -Wextra -Wno-long-long -Wno-deprecated -m64
AUTOCONF = ${SHELL} /home/unix/bhaas/GITHUB/ParaFly/missing --run autoconf
AUTOHEADER = ${SHELL} /home/unix/bhaas/GITHUB/ParaFly/missing --run autoheader
AUTOMAKE = ${SHELL} /home/unix/bhaas/GITHUB/ParaFly/missing --run automake-1.11
AWK = gawk
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EXEEXT = 
INSTALL = /broad/software/free/Linux/redhat_6_x86_64/pkgs/coreutils_8.22/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/unix/bhaas/GITHUB/ParaFly/missing --run makeinfo
MKDIR_P = /broad/software/free/Linux/redhat_6_x86_64/pkgs/coreutils_8.22/bin/mkdir -p
OBJEXT = o
PACKAGE = parafly
PACKAGE_BUGREPORT = bug-report@address
PACKAGE_NAME = Parafly
PACKAGE_STRING = Parafly 0.1
PACKAGE_TARNAME = parafly
PACKAGE_VERSION = 0.1
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 0.1
abs_builddir = /home/unix/bhaas/GITHUB/ParaFly/src
abs_srcdir = /home/unix/bhaas/GITHUB/ParaFly/src
abs_top_builddir = /home/unix/bhaas/GITHUB/ParaFly
abs_top_srcdir = /home/unix/bhaas/GITHUB/ParaFly
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/unix/bhaas/GITHUB/ParaFly/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /broad/software/free/Linux/redhat_6_x86_64/pkgs/coreutils_8.22/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /home/unix/bhaas/GITHUB/ParaFly
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
AUTOMAKE_OPTIONS = foreign
ParaFly_SOURCES = ParaFly.cpp argProcessor.cpp
all: all-am

.SUFFIXES:
.SUFFIXES: .cpp .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign src/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	for p in $$list; do echo "$$p $$p"; done | \
	sed 's/$(EXEEXT)$$//' | \
	while read p p1; do if test -f $$p; \
	  then echo "$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
	sed 'N;N;N;s,\n, ,g' | \
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
	    else { print "f", $$3 "/" $$4, $$1; } } \
	  END { for (d in files) print "f", d, files[d] }' | \
	while read type dir files; do \
	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
	    test -z "$$files" || { \
	      echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
	      $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
	    } \
	; done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	files=`for p in $$list; do echo "$$p"; done | \
	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
	      -e 's/$$/$(EXEEXT)/' `; \
	test -n "$$list" || exit 0; \
	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(bindir)" && rm -f $$files

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
ParaFly$(EXEEXT): $(ParaFly_OBJECTS) $(ParaFly_DEPENDENCIES) 
	@rm -f ParaFly$(EXEEXT)
	$(CXXLINK) $(ParaFly_OBJECTS) $(ParaFly_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/ParaFly.Po
include ./$(DEPDIR)/argProcessor.Po

.cpp.o:
	$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
	$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(PROGRAMS)
installdirs:
	for dir in "$(DESTDIR)$(bindir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \

=== trinity-plugins/Makefile ===

OS := $(shell uname)

JELLYFISH_CODE="jellyfish-2.2.6"
COLLECTL_CODE="collectl-4.1.0"
PARAFLY_CODE="ParaFly-0.1.0"
TRIMMOMATIC_CODE=Trimmomatic-0.36



trinity_essentials: jellyfish seqtk_target parafly_target trimmomatic_target samtools_target

trimmomatic_target:
	ln -sf ${TRIMMOMATIC_CODE} Trimmomatic


samtools_target:
	tar xvf samtools-1.3.1.tar.bz2
	cd samtools-1.3.1 && ./configure --without-curses --prefix=`pwd`
ifeq ($(OS),Darwin)
	sed -i.bak s/-rdynamic//g samtools-1.3.1/Makefile
endif
	cd samtools-1.3.1 && $(MAKE)
	mv samtools-1.3.1/samtools ./BIN/.

seqtk_target:
	tar xvf seqtk-trinity.v0.0.2.tar.gz
	cd seqtk-trinity-0.0.2 && $(MAKE)
	mv seqtk-trinity-0.0.2/seqtk-trinity ./BIN/.

jellyfish:
	tar -zxvf ${JELLYFISH_CODE}.tar.gz && ln -sf ${JELLYFISH_CODE} tmp.jellyfish
	cd ./tmp.jellyfish/ && ./configure CC=gcc CXX=g++ --enable-static --disable-shared --prefix=`pwd` && $(MAKE) LDFLAGS="-lpthread -all-static" AM_CPPFLAGS="-Wall -Wnon-virtual-dtor -I"`pwd`"/include"
	mv tmp.jellyfish jellyfish


parafly_target:
	tar -zxvf ${PARAFLY_CODE}.tar.gz && \
	cd ${PARAFLY_CODE} && sh ./configure --prefix=`pwd` && $(MAKE) install && \
	cp bin/ParaFly ../BIN/


##################################
### Needed for downstream analyses
##################################

plugins: slclust_target collectl_target
	@echo "\n\n** Done building plugins **\n\n"


slclust_target:
	cd slclust && $(MAKE) install

collectl_target:
	cd COLLECTL && tar xvf ${COLLECTL_CODE}.src.tar.gz && ln -sf ${COLLECTL_CODE} collectl

clean:
	rm -rf ${JELLYFISH_CODE} ./jellyfish # has tar.gz
	rm -rf ./seqtk-trinity-0.0.2
	rm -rf ./samtools-1.3.1/
	cd scaffold_iworm_contigs && $(MAKE) clean
	cd parafly-code && $(MAKE) clean
	rm -f ./parafly # rm symlink
	rm -f ./Trimmomatic # rm symlink
	cd slclust && $(MAKE) clean
	cd COLLECTL && rm -rf ${COLLECTL_CODE} && rm -f collectl
	@echo "\n\n** Done cleaning plugins area **"


###################################################################

=== sample_data/test_Trinity_Assembly/Makefile ===

test:
	./runMe.sh
	touch test

test_all:
	./runMe.sh
	./misc_run_tests/__test_runMe_NO_normalization.sh
	./misc_run_tests/__runMe_with_qual_trimming.sh
	./misc_run_tests/__runMe_with_qual_trimming_and_normalization.sh
	./misc_run_tests/__test_runMe_with_jaccard_clip.sh
	./misc_run_tests/__runMe_with_qual_trimming_and_normalize_libs_separately.sh
	./misc_run_tests/__runMe_include_long_reads.sh
	./misc_run_tests/__run_PE_samples_file.sh
	./misc_run_tests/__run_SE_samples_file.sh
	./misc_run_tests/__runMe_use_workdir.sh
	./misc_run_tests/__runMe_piecemeal.sh
	touch test_all

clean:
	./cleanme.pl

=== debian/changelog ===
trinityrnaseq (2.5.1+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Aurelien Jarno ]
  * Build with glibc 2.27 (fix for cannot find -lieee)

 -- Andreas Tille <tille@debian.org>  Sat, 17 Feb 2018 09:04:18 +0100

trinityrnaseq (2.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release. Updated watch file.
  * NeedlemanWunschGotohBanded.java moved into trinityrnasq_jaligner package
  * Much of the sample data is missing from upstream's tarball, so some tests
    have been turned off

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 11 Feb 2018 09:13:04 -0800

trinityrnaseq (2.2.0+dfsg-4) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata
    - Completed references to registries
    - yamllint clean
  * debian/copyright
    - Corrected upstream-name to 'Trinity'

  [ Michael R. Crusoe ]
  * Removed unneeded dependency on r-bioc-edger

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 18 Nov 2017 05:00:08 -0800

trinityrnaseq (2.2.0+dfsg-3) unstable; urgency=medium

  * Team upload

  [ Gert Wollny ]
  * Fix build gcc 7
    Closes: #853687  

  [ Andreas Tille ]
  * debhelper 10
    Closes: #865262
  * Standards-Version: 4.1.0 (no changes needed)
  * hardening=+all
  * remove unused lintian override
  * Build-Depends: bowtie2, yellyfish
    Closes: #860645

 -- Andreas Tille <tille@debian.org>  Fri, 01 Sep 2017 21:57:01 +0200

=== debian/control ===
Source: trinityrnaseq
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               jellyfish (>= 2.1.4),
               libjung-free-java,
               javahelper,
               libgetopt-java,
               default-jdk,
               parafly,
               libjs-jquery,
               jaligner,
               libhts-dev,
               bowtie2,
               jellyfish
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/trinityrnaseq.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/trinityrnaseq.git
Homepage: http://trinityrnaseq.github.io/

Package: trinityrnaseq
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         ${java:Depends},
         bowtie,
         bowtie2,
         python,
         libwww-perl,
         default-jre-headless,
         samtools,
         jellyfish,
         r-base-core,
         r-cran-cluster,
         r-bioc-qvalue,
         rsem,
         berkeley-express,
         trimmomatic,
         transdecoder,
         parafly,
         curl
Recommends: ${java:Recommends},
            trinityrnaseq-examples
Suggests: collectl
Description: RNA-Seq De novo Assembly
 Trinity represents a novel method for the efficient and robust de novo
 reconstruction of transcriptomes from RNA-seq data. Trinity combines three
 independent software modules: Inchworm, Chrysalis, and Butterfly, applied
 sequentially to process large volumes of RNA-seq reads. Trinity partitions
 the sequence data into many individual de Bruijn graphs, each representing the
 transcriptional complexity at a given gene or locus, and then processes
 each graph independently to extract full-length splicing isoforms and to tease
 apart transcripts derived from paralogous genes.

Package: trinityrnaseq-examples
Architecture: all
Depends: ${perl:Depends},
         ${java:Depends},
         ${misc:Depends},
         r-base-core
Recommends: trinityrnaseq
Description: RNA-Seq De novo Assembly common example and testing files
 Trinity represents a novel method for the efficient and robust de novo
 reconstruction of transcriptomes from RNA-seq data. Trinity combines three
 independent software modules: Inchworm, Chrysalis, and Butterfly, applied
 sequentially to process large volumes of RNA-seq reads. Trinity partitions
 the sequence data into many individual de Bruijn graphs, each representing the
 transcriptional complexity at a given gene or locus, and then processes
 each graph independently to extract full-length splicing isoforms and to tease
 apart transcripts derived from paralogous genes.
 .
 This package contains testing & example files.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

JDIR=/usr/share/java
export CLASSPATH=${JDIR}/commons-collections4.jar:${JDIR}/gnu-getopt.jar:${JDIR}/jung-algorithms.jar:${JDIR}/jung-api.jar:${JDIR}/jung-graph-impl.jar:${JDIR}/jaligner.jar
export JAVA_HOME=/usr/lib/jvm/default-java
SOURCE_DIRECTORIES = Inchworm Chrysalis trinity-plugins/*Fastool* trinity-plugins/slclust trinity-plugins/scaffold_iworm_contigs
BASEDIR=debian/trinityrnaseq/usr/lib/trinityrnaseq
EXBASEDIR=debian/trinityrnaseq-examples/usr/share/trinityrnaseq
include /usr/share/dpkg/pkg-info.mk

export BUILD_DATETIME := "$(date --utc --date="@${SOURCE_DATE_EPOCH:-$(date +%s)}" +%Y-%m-%d)"

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk
%:
	dh $@ --with javahelper

override_dh_auto_configure:
	for target in ${SOURCE_DIRECTORIES}; do dh_auto_configure \
		--sourcedirectory=$${target} -- \
		--prefix=/usr/lib/trinityrnaseq/$${target} \
		$(shell dpkg-buildflags --export=configure); done

override_dh_auto_build:
	for target in ${SOURCE_DIRECTORIES}; do dh_auto_build \
		-O--sourcedirectory=$${target}; done

override_dh_auto_clean:
	for target in ${SOURCE_DIRECTORIES}; do dh_auto_clean \
		--sourcedirectory=$${target}; done
	rm --force Chrysalis/Makefile_auto
	rm --force trinity-plugins/slclust/bin/slclust

override_dh_auto_test:
	java -cp Butterfly.jar TransAssembly_allProbPaths -N 10000 -L 300 \
		-F 300 -C Butterfly/src/sample_data/c1.graph --stderr -V 20

override_dh_auto_install:
	for target in ${SOURCE_DIRECTORIES}; do dh_auto_install \
		-O--sourcedirectory=$${target}; done

override_dh_install-arch:
	dh_install -a
	find debian/trinityrnaseq -name '*.p?' | xargs sed -i \
		's=^#!/usr/local/bin/perl=#!/usr/bin/perl='
	chmod u+x \
		${BASEDIR}/Analysis/DifferentialExpression/pairwise_summaries/class_to_separate_fpkm_matrices.pl \
		${BASEDIR}/Analysis/FL_reconstruction_analysis/count_by_expression_quintile.pl \
		${BASEDIR}/util/misc/capture_orig_n_unmapped_reads.pl \
		${BASEDIR}/util/support_scripts/plugin_install_tests.sh \
		${BASEDIR}/util/support_scripts/trinity_install_tests.sh
	chmod -R a-x ${BASEDIR}/PerlLib/*.pm
	chmod -R a-x ${BASEDIR}/PerlLib/*/*.pm

override_dh_install-indep:
	dh_install -i
	chmod u+x \
		${EXBASEDIR}/sample_data/test_Trinity_Assembly/__indiv_ex_sample_derived/ex05/runMe.clean.sh \
		${EXBASEDIR}/sample_data/test_Trinity_Assembly/__indiv_ex_sample_derived/ex05/runMe.sh
		# ${EXBASEDIR}/sample_data/__regression_tests/test_GraphFromFasta/runMe.sh \
		# ${EXBASEDIR}/sample_data/test_Inchworm/runMe_MPI.sh \

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg.*//g,repack,compression=xz" \
  https://github.com/trinityrnaseq/trinityrnaseq/releases .*/archive/Trinity-v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
